> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change application stage

> Change the stage of an application



## OpenAPI

````yaml put /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/stage
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/stage:
    put:
      tags:
        - Applications
      operationId: Applications_UpdateApplicationStatus
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: candidate_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 3
      requestBody:
        x-name: stage
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationStageDto'
        required: true
        x-position: 4
      responses:
        '204':
          description: ''
components:
  schemas:
    ApplicationStageDto:
      type: object
      additionalProperties: false
      required:
        - parent_stage
      properties:
        parent_stage:
          $ref: '#/components/schemas/ParentStage'
          description: The parent stage of the application. eg `Screening`, `Interviewing`
        custom_stage:
          $ref: '#/components/schemas/ApplicationStageInfoDto'
          description: Optional sub stage. This is a custom stage
          nullable: true
    ParentStage:
      type: string
      description: ''
      x-enumNames:
        - Rejected
        - New
        - Screening
        - Interviewing
        - Offered
        - Hired
      enum:
        - rejected
        - new
        - screening
        - interviewing
        - offered
        - hired
    ApplicationStageInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the custom stage, format pipl_abc123
          format: int32
        name:
          type: string
          description: The name given to this custom stage.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````